// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_bingearena/bdn_sky
{
	qer_editorimage env/ut4_bingearena/miramar_bk.tga
	skyparms env/ut4_bingearena/miramar 1024 -

	q3map_sunEXT 1 1 1 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 310 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
	
	{
		map textures/ut4_bingearena/clouds3.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 2 3
		tcMod scroll -0.08 0.025
		rgbGen identityLighting
	}
}

// ---=== Ladderclip ===---

textures/ut4_bingearena/bdn_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Holopanels ===---

// ---=== fog/clouds ===---

// ---=== Glass ===---

textures/ut4_bingearena/bdn_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	{
		map textures/ut4_bingearena/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_bingearena/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}


textures/ut4_bingearena/bdn_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm slick
	cull none

	{
		map textures/ut4_bingearena/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_bingearena/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_bingearena/bdn_glass_ns
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none

	{
		map textures/ut4_bingearena/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_bingearena/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

// ---=== No Damage ===---

textures/ut4_bingearena/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

textures/ut4_bingearena/e8cretefloor_tile:q3map
{
	surfaceparm nodamage
}

textures/ut4_bingearena/pr_brick020:q3map
{
	surfaceparm nodamage
}

// ---=== shiny ===---

textures/ut4_bingearena/bdn_lhblackwav_shn
{
	qer_editorimage textures/ut4_bingearena/lh_blackwave.jpg
	surfaceparm nodamage

	{
		map textures/ut4_bingearena/lh_blackwave.jpg
	}
	{
		map textures/ut4_bingearena/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_bingearena/e6basicstrip_blue
{
	qer_editorimage textures/ut4_bingearena/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_bingearena/e6basicstrip_blue.tga
	}
}

textures/ut4_bingearena/e6basicstrip_green
{
	qer_editorimage textures/ut4_bingearena/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_bingearena/e6basicstrip_green.tga
	}
}

textures/ut4_bingearena/e6basicstrip_orange
{
	qer_editorimage textures/ut4_bingearena/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_bingearena/e6basicstrip_orange.tga
	}
}

textures/ut4_bingearena/e6basicstrip_purple
{
	qer_editorimage textures/ut4_bingearena/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_bingearena/e6basicstrip_purple.tga
	}
}

textures/ut4_bingearena/e6basicstrip_red
{
	qer_editorimage textures/ut4_bingearena/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_bingearena/e6basicstrip_red.tga
	}
}

textures/ut4_bingearena/e6basicstrip_white
{
	qer_editorimage textures/ut4_bingearena/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_bingearena/e6basicstrip_white.tga
	}
}

textures/ut4_bingearena/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_bingearena/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_bingearena/e6basicstrip_yellow.tga
	}
}

textures/ut4_bingearena/e8warn2steplight
{
	qer_editorimage textures/ut4_bingearena/e8warn2steplight.tga
	q3map_lightimage textures/ut4_bingearena/e8warn2steplight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 50
	{
		map textures/ut4_bingearena/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_bingearena/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/ut4_bingearena/bdn_gothbara
{
	qer_editorimage textures/ut4_bingearena/lh_gothbar_amb.jpg
	q3map_lightimage textures/ut4_bingearena/lh_gothbar_blenda.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_bingearena/lh_gothbar_amb.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_bingearena/lh_gothbar_blenda.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_bingearena/bdn_gothbarb
{
	qer_editorimage textures/ut4_bingearena/lh_gothbar_blu.jpg
	q3map_lightimage textures/ut4_bingearena/lh_gothbar_blendb.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_bingearena/lh_gothbar_blu.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_bingearena/lh_gothbar_blendb.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_bingearena/bdn_gothbarr
{
	qer_editorimage textures/ut4_bingearena/lh_gothbar_red.jpg
	q3map_lightimage textures/ut4_bingearena/lh_gothbar_blendr.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_bingearena/lh_gothbar_red.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_bingearena/lh_gothbar_blendr.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/ut4_bingearena/bdn_arrowprp
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_bingearena/arrow_grad2.jpg
	{
		animMap 7 textures/ut4_bingearena/arrow_grad1.jpg textures/ut4_bingearena/arrow_grad4.jpg textures/ut4_bingearena/arrow_grad3.jpg textures/ut4_bingearena/arrow_grad2.jpg textures/ut4_bingearena/arrow_grad3.jpg textures/ut4_bingearena/arrow_grad4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_bingearena/bdn_arrowgrn
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_bingearena/arrow_ggrad2.jpg
	{
		animMap 7 textures/ut4_bingearena/arrow_grad1.jpg textures/ut4_bingearena/arrow_ggrad4.jpg textures/ut4_bingearena/arrow_ggrad3.jpg textures/ut4_bingearena/arrow_ggrad2.jpg textures/ut4_bingearena/arrow_ggrad3.jpg textures/ut4_bingearena/arrow_ggrad4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_bingearena/bdn_arroworg
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_bingearena/arrow_ograd2.jpg
	{
		animMap 7 textures/ut4_bingearena/arrow_grad1.jpg textures/ut4_bingearena/arrow_ograd4.jpg textures/ut4_bingearena/arrow_ograd3.jpg textures/ut4_bingearena/arrow_ograd2.jpg textures/ut4_bingearena/arrow_ograd3.jpg textures/ut4_bingearena/arrow_ograd4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}


textures/ut4_bingearena/bdn_teleorbg
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_bingearena/soc_telep_green.jpg
	qer_trans 0.4
	{
		map textures/ut4_bingearena/soc_telep_green.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_bingearena/bdn_teleorbo
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_bingearena/soc_telep_orange.jpg
	qer_trans 0.4
	{
		map textures/ut4_bingearena/soc_telep_orange.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_bingearena/bdn_teleorbp
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_bingearena/soc_telep_purpl.jpg
	qer_trans 0.4
	{
		map textures/ut4_bingearena/soc_telep_purpl.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}
